Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/18/2022 in all areas

  1. Load the autoCAD Geometric Calculator to use the lisp Solution 1 - in the Command Line type: (or cal (arxload "geomcal")) press: ENTER type: ALH Solution 2 - in the code change: (if (not (member "geomcal.arx" (arx))) (arxload "geomcal")) to: (or cal (arxload "geomcal")) NOTE: from AutoCAD 2013 geomcal.arx it has become geomcal.crx Solution 3 (DEFINITIVE) - in the ACADDOC.LSP add: (or cal (arxload "geomcal")) NOTE: for ACADDOC.LSP see https://www.cadtutor.net/forum/topic/66304-acaddoclsp-question/ https://www.cadtutor.net/forum/topic/56401-2016-and-acaddoclsp/ https://www.cadtutor.net/forum/topic/44940-rules-for-acaddoclsp/ https://jtbworld.com/acaddoc-lsp
    2 points
  2. Hi, the lisp, anticipated with two images here and here, aligns between two curves the hatch elements and creates a block containing the lines of the new geometry. The original shape of the hatch shall be a rectangle, an isosceles triangle or an isosceles trapezoid. In case of large hatches is recommended to divide it into portions, any case it is better to try with small hatches to verify the time required for processing, in according to PC performances, too. Not all hatches are suitable for processing. I hope it works well and there are no problems. AlignH.lsp
    1 point
  3. Let's work out what is happening for you then.. what does CAD tell you when you load and try to run this, are there any error messages given? (In AutoCAD these wil often be in the command line), let us have a clue...
    1 point
  4. Like Steven said code isn't complete. something happen to the file. The website has been update quite a few times since 2016. Maybe @BIGAL has the original file. you can replace the two cord sub functions with this line (setq obj2 (vlax-ename->vla-object (setq ent (car (entsel "pick offset line"))))) ;add 2nd setq to store the ename to be used in co-ords .... (setq co-ords (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget ent))))
    1 point
  5. 2 ways if you have a LISP lke this, you can put a c : in front of the LISP name (here make it c:PEGSH) or in CAD type in (pegsh) with the command between brackets, There are a coupe of things not quite right with this code, you should be able to work that out and when BIGAl is looking next, this gave me an error with the getcoords function - haven't had a chance to look at a fix yet though, , maybe you have an updated version?
    1 point
  6. I found a hacky workaround - Here's an image: And here's the dcl for the row: : row { : edit_box{ label = "Enter Sheet Number: "; mnemonic = "S"; key = "number"; alignment = right; edit_limit = 2; edit_width = 2; } : edit_box{ label = "of"; key = "number2"; alignment = left; edit_limit = 2; edit_width = 2; } } It turns out adding a bunch of spaces will mess with the spacing. I hope this helps someone else!
    1 point
  7. Thanks. I appreciate the comment. With continued effort from the lot of us, perhaps AutoCAD will shed its rectilinear reputation.
    1 point
  8. @SEANT You are my muse. @Gu_xl Perfect. The problem was on longitudinal long lines. You have brilliantly solved.
    1 point
  9. Hi,GP,Thanks for your wonderful routine. I have some improvement for you code,It fix some BUG for hatch line is too long. AlignH.lsp
    1 point
  10. I am yet to study the method you have implemented, but given the demonstrations I must say the program looks rather impressive!
    1 point
×
×
  • Create New...